"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _component_uni_icons = common_vendor.resolveComponent("uni-icons");
  const _easycom_custom_layout2 = common_vendor.resolveComponent("custom-layout");
  (_component_uni_icons + _easycom_custom_layout2)();
}
const _easycom_custom_layout = () => "../../components/custom-layout/custom-layout.js";
if (!Math) {
  _easycom_custom_layout();
}
const _sfc_main = {
  __name: "index",
  setup(__props) {
    common_vendor.ref(false);
    common_vendor.ref([{
      text: "已阅读并同意",
      value: 0
    }]);
    common_vendor.onMounted(() => {
      console.log("onMounted生命周期");
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          ["custom-prefix"]: "iconfont",
          type: "icon-jifen",
          size: "20"
        }),
        b: common_vendor.f(10, (item, index, i0) => {
          return {
            a: index
          };
        }),
        c: common_vendor.sr("layout", "f06186df-0"),
        d: common_vendor.o(_ctx.onQueryList),
        e: common_vendor.o(($event) => _ctx.dataList = $event),
        f: common_vendor.p({
          showBottom: true,
          title: "充值",
          modelValue: _ctx.dataList
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-f06186df"]]);
wx.createPage(MiniProgramPage);
